Name:           perl-XML-Parser
Version:        2.47
Release:        2%{?dist}
Summary:        Perl module for parsing XML documents
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-Parser/
Source0:        http://www.cpan.org/authors/id/T/TO/TODDR/XML-Parser-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl >= 0:5.004050
BuildRequires:  perl(ExtUtils::Manifest)
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Test::More)
BuildRequires:  expat
BuildRequires:  expat-devel
BuildRequires:  perl(warnings)
Requires:       perl(LWP::UserAgent)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       expat
Autoreq:        no
%if %{rhel} >= 8
Provides:       perl(%{module}) = %{version}
%endif

%description
This module provides ways to parse XML documents. It is built on top of
XML::Parser::Expat, which is a lower level interface to James Clark's expat
library. Each call to one of the parsing methods creates a new instance of
XML::Parser::Expat which is then used to parse the document. Expat options
may be provided when the XML::Parser object is created. These options are
then passed on to the Expat object on each parse call. They can also be
given as extra arguments to the parse methods, in which case they override
options given at XML::Parser creation time.

%prep
%setup -q -n XML-Parser-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE META.json README README.md
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/XML*
%{_mandir}/man3/*

%changelog
* Tue Jan 21 2025 Trevor Batley <trevorb@koozali.org> 2.47-2
- add BuildRequires, Requires and Provides as per OpenFusion specfile

* Tue Jan 21 2025 Koozali 2.47-1
- Specfile autogenerated by cpanspec 1.78.
